#!/bin/csh

alias reset_c004 "/usr/tds/tds3/system/mcp500.setup /dev/nap0 > /dev/null"

set USAGE = "USAGE: my_debug  bootable_file  core_dump_size"
if ($#argv != 2) then
  echo $USAGE
  exit
endif

# Disconnect workers from host (we don't want code still running
# on them sending data to host links while we're trying to analyse 
# that transputer!)...

nt_ctl > /dev/null << END
c 0.0.2 0.e.4
c 0.0.3 0.e.5
q
END

# "Core dump" the host transputer ("standard 'iserver' has a bug
# to do with memory peeking)...

setenv ISERVER /usr/itools/source/iserver/iserver

echo Attempting core dump...

idump $1 $2
if ($status) then
  reset_c004
  exit
endif

setenv ISERVER /usr/tds/tds3/system/iserver.sun4

# Reset/analyse the workers...

~dbc/bin/snode_analyse
if ($status) then
  reset_c004
  exit
endif

# Connect workers back into network...

reset_c004

# Run the debugger!

xterm -sf -title debugger -e iserver -xm -se-sr-ss-sc /usr/itools/transputer_bin/idebug.b4h $1 -R ${1:r}.dmp

local.soap! 1-2
local.test! 1-55
local.yabb.cs: 1-1149
local.yabb.elec! 1-243
local.yabb.students! 1-453
mail.arpa-mhs! 1-69
mail.ausnet! 1-8
mail.bind! 1-207
mail.cross-culture! 1-38
mail.ether! 1-40
mail.fp! 1-120
mail.graphuk! 1-10
mail.mac-user! 1-507
mail.mailgroup! 1-20
mail.namedroppers! 1-61
mail.pcserv-l! 1-477
mail.pixel! 1-18
mail.quipu! 1-40
mail.rec-arts-drwho! 1-1274
mail.subgenius! 1-101
mail.sukug-sig-comms! 1-8
mail.sun-nets! 1-449
mail.sun.coloured-books! 1-5
mail.swr.online! 1-66
mail.uk-mail-managers! 1-9
mail.uktex! 1-27
mail.unitex! 1-117
mail.unix-comms! 1-6
mail.unix-niftp! 1-77
mail.vmsnet! 1-43
mail.x-ada! 1-36
mail.x400-users! 1-3
mail.xvideo! 1-89
misc.consumers! 1-3328
misc.consumers.house! 1-2453
misc.emerg-services! 1-751
misc.forsale! 1-3490
misc.handicap! 1-3513
misc.headlines! 1-4808
misc.invest! 1-1641
misc.jobs.misc! 1-1840
misc.jobs.offered! 1-1225,1313
misc.jobs.resumes! 1-762
misc.kids! 1-3229
misc.legal! 1-4595
misc.misc! 1-1480
misc.rural! 1-517
misc.security! 1-467
misc.taxes! 1-461
misc.test! 1-1601
misc.wanted! 1-2161
ne.wanted! 1-35
news.admin! 1-6552
news.announce.conferences! 1-867
news.announce.important! 1-16
news.announce.newgroups! 1-422
news.announce.newusers! 1-287
news.config! 1-1045
news.groups! 1-15243,15500,15510
news.lists! 1-710
news.lists.ps-maps! 1-121
news.misc! 1-2938,3056
news.newusers.questions! 1-896
news.software.anu-news! 1-1167
news.software.b! 1-3512
news.software.nn! 1-716
news.software.nntp! 1-515
news.software.notes! 1-104
news.sysadmin! 1-2153
rec.arts.anime! 1-3056
rec.arts.books! 1-6098
rec.arts.cinema! 1-11
rec.arts.comics! 1-8250
rec.arts.drwho! 1-3788
rec.arts.erotica! 1-11
rec.arts.int-fiction! 1-117
rec.arts.misc! 1-277
rec.arts.movies! 1-17717,18316
rec.arts.movies.reviews! 1-134
rec.arts.poems! 1-2565
rec.arts.sf-lovers! 1-11710
rec.arts.startrek! 1-13198,13549
rec.arts.startrek.info! 1-125
rec.arts.tv! 1-5775
rec.arts.tv.soaps! 1-3526
rec.arts.tv.uk! 1-1400
rec.arts.wobegon! 1-110
rec.audio! 1-5078
rec.audio.high-end! 1-410
rec.autos! 1-5979
rec.autos.driving! 1-1464
rec.autos.sport! 1-1771
rec.autos.tech! 1-3212
rec.aviation! 1-5689
rec.backcountry! 1-2990
rec.bicycles! 1-5750
rec.birds! 1-730,738,742
rec.boats! 1-1047
rec.equestrian! 1-948
rec.folk-dancing! 1-326
rec.food.cooking! 1-4625
rec.food.drink! 1-1028
rec.food.recipes! 1-200
rec.food.veg! 1-1512
rec.gambling! 1-1148
rec.games.board! 1-1759
rec.games.bridge! 1-941
rec.games.chess! 1-1399
rec.games.empire! 1-809
rec.games.frp! 1-6723
rec.games.go! 1-652
rec.games.hack! 1-3074
rec.games.misc! 1-2805
rec.games.moria! 1-1191
rec.games.pbm! 1-773
rec.games.programmer! 1-630
rec.games.rogue! 1-182
rec.games.trivia! 1-939
rec.games.vectrex! 1-80
rec.games.video! 1-2760
rec.gardens! 1-949
rec.guns! 1-1330
rec.ham-radio! 1-6415
rec.ham-radio.packet! 1-1364
rec.ham-radio.swap! 1-487
rec.humor! 1-8030,8097-8098
rec.humor.d! 1-556
rec.humor.funny! 1-567
rec.mag.fsfnet! 1-12
rec.mag.otherrealms! 1-55
rec.misc! 1-112
rec.models.rc! 1-746,749
rec.models.rockets! 1-161,163
rec.motorcycles! 1-7326
rec.music.beatles! 1-2284
rec.music.bluenote! 1-2062
rec.music.cd! 1-7488
rec.music.classical! 1-4742
rec.music.dementia! 1-659
rec.music.dylan! 1-1327
rec.music.folk! 1-1602
rec.music.gaffa! 1-3047
rec.music.gdead! 1-9346
rec.music.makers! 1-3283
rec.music.misc! 1-12781
rec.music.newage! 1-1823
rec.music.synth! 1-4571
rec.nude! 1-1335
rec.org.sca! 1-3763
rec.pets! 1-3858,3867,3871
rec.photo! 1-3610
rec.puzzles! 1-1379
rec.radio.noncomm! 1-102
rec.radio.shortwave! 1-1431
rec.railroad! 1-977
rec.scuba! 1-1209
rec.skiing! 1-1083
rec.skydiving! 1-349
rec.sport.baseball! 1-5078,5197
rec.sport.basketball! 1-6550
rec